
package de.ivu.elect.presentation.hilfe.menu;

import de.ivu.elect.jee.faces.FacesContextUtil;
import de.ivu.elect.presentation.hilfe.HelpElectUiComponentsView;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public class UiComponentsMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Override
  public String getTargetViewId() {
    return HelpElectUiComponentsView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "help.ui.components.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconOrganisation();
  }

  @Override
  public boolean isRendered() {
    return getPrincipal().isLoggedIn() && FacesContextUtil.isDevelopmentStage();
  }

  @Override
  public boolean isDisabledInternal() {
    return false;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return AbstractMenuItemEntry.KEINE_GEBIET_SECURITY;
  }

}
